import { HistoricalData } from '../interfaces/ticker';
import { ITechnicalAnalysisLibrary } from '../interfaces/ta';
declare class TechnicalAnalysisLibrary implements ITechnicalAnalysisLibrary {
    SMA: (period: number, data: HistoricalData[] | undefined) => number[] | Error;
    EMA: (period: number, data: HistoricalData[] | undefined) => number[] | Error;
    SMI: (period: number, emaPeriod: number, data: HistoricalData[] | undefined) => number[] | Error;
}
export default TechnicalAnalysisLibrary;
