"use strict";
/* eslint-disable class-methods-use-this, no-plusplus */
Object.defineProperty(exports, "__esModule", { value: true });
const momentum_1 = require("./momentum");
const moving_average_1 = require("./moving-average");
// prettier-ignore
class TechnicalAnalysisLibrary {
    constructor() {
        this.SMA = (period, data) => moving_average_1.SMAFunc(period, data);
        this.EMA = (period, data) => moving_average_1.EMAFunc(period, data);
        this.SMI = (period, emaPeriod, data) => momentum_1.SMIFunc(period, emaPeriod, data);
    }
}
exports.default = TechnicalAnalysisLibrary;
//# sourceMappingURL=index.js.map