import { LiveQuoteData, ITicker, Interval, HistoricalData } from '../interfaces/ticker';
/**
 * Represents a stock in the market
 * @extends ITicker
 */
declare class Ticker implements ITicker {
    symbol: string;
    constructor(symbol: string);
    liveQuote(): Promise<LiveQuoteData | undefined>;
    historical(interval: Interval, start: string, end: string): Promise<HistoricalData[] | undefined>;
}
export default Ticker;
