"use strict";
/* eslint-disable import/prefer-default-export, implicit-arrow-linebreak */
Object.defineProperty(exports, "__esModule", { value: true });
exports.FED_BALANCE_URL = exports.WIKI_SNP_COMPANIES_URL = exports.NASDAQ_TRADER_URL = exports.YAHOO_FINANCE_CHART_URL = exports.YAHOO_FINANCE_QUOTE_SUMMARY_URL = void 0;
// prettier-ignore
const YAHOO_FINANCE_QUOTE_SUMMARY_URL = (ticker, modules) => `https://query2.finance.yahoo.com/v10/finance/quoteSummary/${ticker}?modules=${modules.join(',')}`;
exports.YAHOO_FINANCE_QUOTE_SUMMARY_URL = YAHOO_FINANCE_QUOTE_SUMMARY_URL;
// prettier-ignore
const YAHOO_FINANCE_CHART_URL = (ticker, interval, start, end) => `https://query2.finance.yahoo.com/v8/finance/chart/${ticker}?interval=${interval}&period1=${start}&period2=${end}`;
exports.YAHOO_FINANCE_CHART_URL = YAHOO_FINANCE_CHART_URL;
// prettier-ignore
exports.NASDAQ_TRADER_URL = 'ftp.nasdaqtrader.com';
// prettier-ignore
exports.WIKI_SNP_COMPANIES_URL = 'https://en.wikipedia.org/wiki/List_of_S%26P_500_companies';
exports.FED_BALANCE_URL = 'https://www.federalreserve.gov/data.xml';
//# sourceMappingURL=constants.js.map