"use strict";
/* eslint-disable import/prefer-default-export, implicit-arrow-linebreak, no-return-assign */
Object.defineProperty(exports, "__esModule", { value: true });
exports.streamToString = void 0;
// prettier-ignore
const streamToString = (stream) => {
    let chunks = '';
    return new Promise((resolve, reject) => {
        stream.on('data', (chunk) => chunks += chunk);
        stream.on('error', (error) => reject(error));
        stream.on('end', () => resolve(chunks));
        stream.resume();
    });
};
exports.streamToString = streamToString;
//# sourceMappingURL=stream.js.map