"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformTimestampToDate = exports.transformDateToTimestamp = void 0;
/* eslint-disable implicit-arrow-linebreak */
const moment_1 = __importDefault(require("moment"));
const transformDateToTimestamp = (date) => moment_1.default(date).unix();
exports.transformDateToTimestamp = transformDateToTimestamp;
const transformTimestampToDate = (timestamp) => moment_1.default.unix(timestamp).format('YYYY-MM-DD kk:mm:ss');
exports.transformTimestampToDate = transformTimestampToDate;
//# sourceMappingURL=time.js.map